
/* 
    Created on : Oct 11, 2022, 12:13:56 PM
    Author     : Robert Ruth
*/
/* ***************************** GLOBAL STYLES **************************/
body {
    margin: 0px;
    padding: 0px;
    font-family: "Arial", sans-serif;
    font-size: 12px;
}
.main_container {
    width: 95%;
    margin: auto;
    border: 2px solid #c1c1c1;
}
.header {
    display: flex;
    flex: 1;
    justify-content: space-between;
    max-width: 100%;
    background-image: url("https://www.midnitesolar.com/update/images/pages/headerBkgd.jpg");
}
.logo {
    padding:10px 0 10px 10px;
}
.midNite {
    text-align: center;
    padding-top: 20px;
}
.moon {
    text-align: right;
    margin: 10px 10px 10px 0px;
    /*border: 1px solid black;*/
}
.nav_container {
    background-color: #c7c7c7;
    display: flex;
    flex: 1;
    justify-content: space-between;
    align-text: center;
    border: 1px solid black;
}
.nav {
    padding: 5px 10px 5px 10px;
}
.nav a {
    color:#023e38;
    font-size: 16px; 
    font-weight: bold;
    text-decoration: none;
}
a:hover {
  color: purple;
  text-decoration: underline;
}
.search {
display: flex;
font-size: 16px;
}
input[type=button], input[type=submit], input[type=reset] {
    background-color: #d9fed3;
    border: none;
    color: black;
    padding: 4px 10px;
    text-decoration: none;
    margin: 4px 2px;
    cursor: pointer;
    font-size: 16px;
}
input[type=text] {
    width: 90%;
    padding: 4px 10px;
    /*margin: 8px 0;*/
    box-sizing: border-box;
    font-size: 16px;
}
.bold_blk {
    font-weight: bold;
    /*border: 2px solid #e1e1e1;*/
    font-size: 14px;
}

@media (max-width: 1069px) {
    .logo {
        display: none;
    }
    .moon {
        display: none;
    }
    .midNite {
        text-align: center;
        margin: auto;
        padding: 20px 0 10px 0;
    }
    .nav_container {
        background-color: #c7c7c7;
        display: grid;
        grid-template-columns: auto auto auto;

        font-size: 14px;
        /*align-content: right;*/
        /*border: 3px solid red;*/
    }
}
@media (max-width: 500px) {
    .logo {
        display: none;
    }
    .moon {
        display: none;
    }
    .midNite img {
        text-align: center;
        margin: auto;
        padding: 5px 0 10px 0;
        max-width: 80%
    }
}
@media (max-width: 370px) {
    .nav_container {
        grid-template-columns: 1fr;
        /*display: unset;*/
        background-color: #c7c7c7;
        /*grid-template-columns: 100%;*/
        /*font-size: 44px;*/
        line-height: 90%;
        /*border: 2px solid red;*/
        max-width: 100%
    }
}


    
    
/*----------------------- END GLOBAL STYLES ------------------------
-------------------------------------------------------------------*/

